This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 179607 - Show extra characters when editing java source
Show extra characters when editing java source
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 11:57 EST by Smart Kenny
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 11:17:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Smart Kenny 2006-02-01 11:57:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
When I try to edit a java source code:

For eclipse installed from eclipse.org, it will show an extra character beside each quote (") and each semicolon (;).

For eclipse included in FC5 test2, it has no syntax highlight at all (but it has no extra character problem).

I tested it on both gij and sun-jdk 1.5.0_06.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open a java file
2.Put string in a method: String s = "test";

  

Actual Results:  For eclipse from eclipse.org, it shows: String s = #"test"#;#
Here the # denotes a square character.

Expected Results:  Show String s = "test";
Not String s = #"test"#;#

Additional info:

It has not an exception occured. There's maybe some bugs for eclipse's editor component with FC5 system. Jedit and Netbeans had no such problem when editing source codes.
Comment 1 Andrew Overholt 2006-02-01 12:03:38 EST
Yeah, I think this might be a gtk bug.  Matthias?
Comment 2 Matthias Clasen 2006-02-01 12:17:04 EST
There was a pango bug for a while where it would show special unicode characters
like RLM. That should all be fixed now, I think. Does this still happen with
pango 1.11.3 ?
Comment 3 Smart Kenny 2006-02-01 12:51:48 EST
Thanks for your information, I updated the pango, and now eclipse behaves quite
well. Thank you guys.
Comment 4 Andrew Overholt 2006-02-01 13:49:36 EST
(In reply to comment #3)
> Thanks for your information, I updated the pango, and now eclipse behaves quite
> well. Thank you guys.

Cool.  Can you close this now?
Comment 5 Andrew Overholt 2006-02-03 11:17:32 EST
Closing.

Note You need to log in before you can comment on or make changes to this bug.